Bug 63575 - Building qt requires qt installed
Building qt requires qt installed
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: qt (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-15 15:24 EDT by Ed Avis
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-15 15:24:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2002-04-15 15:24:00 EDT
Description of Problem:

The build process for Qt builds a utility 'uic' and then runs it.  This uic
program is linked against libqutil.so.  It ought to use the libqutil.so that was
just build as part of Qt.  But instead it tries to use the libqutil.so already
installed on the system.  Of course if you already have qt-2.x installed this
works - but otherwise it can't find the library.  In effect, qt-2.x requires
itself installed to build.

Version-Release number of selected component (if applicable):

qt-2.3.1-5.src.rpm

How Reproducible:

Uninstall qt and packages depending on it.  rpm --rebuild qt-2.3.1.src.rpm.

Additional Information:
	
Suggested fix is to modify LD_LIBRARY_PATH during build process when running uic
and any other utilities built.  Alternatively make qt a BuildRequires for qt
(chicken and egg).
Comment 1 Bernhard Rosenkraenzer 2002-04-16 07:12:43 EDT
Fixed in the current version.

Note You need to log in before you can comment on or make changes to this bug.